> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a project

> Updates a project. Only project owner or account admin can update projects.



## OpenAPI

````yaml PATCH /projects/{project_id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}:
    patch:
      summary: Update a project
      description: >-
        Updates a project. Only project owner or account admin can update
        projects.
      operationId: update-project
      parameters:
        - name: project_id
          in: path
          description: Id of project
          schema:
            type: integer
            format: int32
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                project:
                  type: object
                  properties:
                    name:
                      type: string
                      description: Name of the project
                    description:
                      type: string
                      description: Description of the project
                    start_date:
                      type: string
                      format: date
                      description: Start date of the project
                    field_values:
                      type: object
                      description: Custom field values for the project
                      additionalProperties: true
            examples:
              Request Example:
                value:
                  project:
                    name: Updated Project Name
                    description: Updated project description
                    start_date: '2025-01-01'
                    field_values:
                      custom_field_1: value1
                      custom_field_2: value2
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 123
                    name: Updated Project Name
                    description: Updated project description
                    project_type: Biochar
                    credit_types:
                      - CORC
                    country: US
                    state: Washington
                    project_status: ACTIVE
                    registry_name: Puro.Earth
                    registry_link: ''
                    methodology: Puro Biochar Methodology v3 2023
                    images:
                      - name: Image.png
                        url: http://....
                    sustainable_development_goals:
                      - good_health_and_wellbeing
                      - quality_education
              schema:
                type: object
                properties:
                  id:
                    type: integer
                  name:
                    type: string
                  description:
                    type: string
                  project_type:
                    type: string
                  credit_types:
                    type: array
                    items:
                      type: string
                  country:
                    type: string
                  state:
                    type: string
                  project_status:
                    type: string
                  registry_name:
                    type: string
                  registry_link:
                    type: string
                  methodology:
                    type: string
                  images:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        url:
                          type: string
                  sustainable_development_goals:
                    type: array
                    items:
                      type: string
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 400
                    errors:
                      - message: Name can't be blank
              schema:
                type: object
                properties:
                  status:
                    type: string
                  statusCode:
                    type: integer
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 403
                    errors:
                      - message: >-
                          Only project owner or account admin can update
                          projects
              schema:
                type: object
                properties:
                  status:
                    type: string
                  statusCode:
                    type: integer
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: Project not found.
              schema:
                type: object
                properties:
                  status:
                    type: string
                  statusCode:
                    type: integer
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````